EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a directory and an „open e-book“ (OEB) consisting of HTML files is written to that directory. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: „/some path/with spaces“

Papildiespējas un papildiespēju standartvērtības mainās atkarībā no ievades un izvades formāta, tāpēc jums vienmēr vajadzētu pārbaudīt ar:

ebook-convert myfile.input_format myfile.output_format -h

Zemāk ir papildiespējas, kas kopīgas visām pārveidošanām, kam seko specifiskas papildiespējas katram ievades un izvades formātam.

•   IEVADES IESTATĪJUMI

•   IZVADES IESTATĪJUMI

•   IZSKATS

•   HEURISTISKĀ APSTRĀDE

•   MEKLĒT UN AIZVIETOT

•   STRUKTŪRAS NOTEIKŠANA

•   SATURA RĀDĪITĀJS

•   METADATI

•   ATKĻŪDOŠANA

--help, -h
    parādīt šo palīdzības paziņojumu un iziet

--input-profile
    Norādiet ievades profilu. Ievades profils nodrošina pārvēršanas sistēmu ar informāciju par dažādas dokumentā esošās informācijas interpretēšanu. Piemēram - no izšķirtspējas atkarīgs garums (garums pikseļos). Iespējas ir:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    parādīt programmas versijas numuru un iziet

IEVADES IESTATĪJUMI

Papildiestatījumi, kas pārvalda ievaddatnes mobi apstrādi

--input-encoding
    Norāda sākotnējā dokumenta rakstzīmju kodējumu. Ja šī papildiespēja ir norādīta, tad dokumentā norādītais kodējums tiks ignorēts. Īpaši noder dokumentiem kuros nav norādīts kodējums, vai arī tas ir norādīts nepareizi.

IZVADES IESTATĪJUMI

Papildiestatījumi, kas pārvalda izvaddatnes epub apstrādi

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Šis iestatījums ir nepieciešams tikai tad, ja esat iecerējuši lietot EPUB ar FBReaderJ. Tas izlīdzinās datņu sistēmu EBUB iekšienē, pārvietojot visas datnes uz augšējo līmeni.

--epub-inline-toc
    Ievietot iekļautu satura rādītāju, kas parādīsies kā galvenās grāmatas daļa.

--epub-toc-at-end
    Novietot pievienoto iekļauto satura rādītāju grāmatas beigās, nevis sākumā.

--extract-to
    Extract the contents of the generated EPUB file to the specified directory. The contents of the directory are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    Parasti, ja oriģinālās datne nesatur vāku un Jūs to nenorādāt, noklusētais vāks tiek veidots no nosaukuma, autora utt. Šis iestatījums atslēdz vāka veidošanu.

--no-svg-cover
    Neizmantot SVG grāmatas vākam. Izmantojiet šo iestatījumu, ja Jūs EPUB datni paredzēts izmantot ierīcē, kas neuztur SVG, piemēram - iPhone vai JetBook Life. Bez šī iestatījuma šādas ierīces rādīt tukšu lapu vāka vietā.

--preserve-cover-aspect-ratio
    Ja tiek izmantots SVG vāks, šis iestatījums liks vākam ieņemt visu pieejamo ekrāna laukumu, vienlaikus saglabājot attēla malu attiecības. Tas nozīmē, ka ir iespējamas baltas malas attēla sānos vai augšā un apakšā, taču pats attēls netiks kropļots. Bez šī iestatījuma balto malu nebūs, taču attēls var tik nedaudz kropļots.

--pretty-print
    Ja norādīts, tad izvades spraudnis centīsies izveidot pēc iespējas cilvēkam lasāmāku rezultātu. Var nestrādāt atsevišķiem izvades spraudņiem.

--toc-title
    Veidojamā iekļautā satura rādītāja nosaukums.

IZSKATS

Papildiestatījumi, kas pārvalda rezultāta izskatu

--asciiize
    Transliterate unicode characters to an ASCII representation. Use with care because this will replace unicode characters with ASCII. For instance it will replace "Михаил Горбачёв" with "Mikhail Gorbachiov". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

--base-font-size
    Fonta pamatizmērs punktos. Visi fonti grāmatā tiks mērogoti attiecībā pret norādīto lielumu. Izvēloties lielāku izmēru, izvadē fontu izmēri būs lielāki un otrādi. Pēc noklusējuma, fonta pamatizmērs tiek izvēlēts atkarībā no izvēlētā profila.

--change-justification
    Mainīt teksta izlīdzināšanu. Vērtība "pa kreisi" līdzinās visu tekstu pret kreiso malu. Vērtība "izlīdzināt" izlīdzinās visu tekstu pret abām malām. Vērtība "sākotnējā" (noklusētā) nemainīs izejas datnē atrodamo teksta līdzināšanu. Ņemiet vērā, ka tikai daži formāti atbalsta līdzināšanu.

--disable-font-rescaling
    Izslēgt visu fontu izmēru mērogošanu.

--embed-all-fonts
    Iegult visus oriģinālajā dokumentā izmantotos, taču vēl neiegultos fontus. Jūsu sistēma tiks pārmeklēta un, ja atbilstošie fonti tiks atrasti, tie tiks iegulti. Iegulšanas darbosies tikai gadījumos, ja mērķa formāti atbalsta iegultos fontus, piemēram, EPUB, AZW3, DOCX vai PDF. Pārliecinieties, ka Jums ir atbilstoša licence, kas pieļauj šajā dokumentā izmantoto fontu iegulšanu.

--embed-font-family
    Iegult norādīto fontu saimi grāmatā, tādējādi nosakot grāmatā izmantoto "pamata" fontu. Ja oriģinālais dokuments norāda pats savu specifisku fontu, pamata fonts var tikt ignorēts. Jūs varat izmantoto stilu filtra informācijas papildiespēju, lai aizvāktu fontus no oriģinālā dokumenta. Ņemiet vērā, ka fontu iegulšanas darbojas tikai ar atsevišķiem izvades formātiem, pamatā EPUB, AZW3 un DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Ceļš līdz CSS stilu lapai vai vienkāršam CSS. Ar šo CSS tiks papildināti izejas datnē esošie stilu likumi, tādējādi to var izmantot šo likumu aizstāšanai.

--filter-css
    Ar komatu atdalītas CSS īpašības, kas tiks aizvāktas no CSS stila likumiem. Tas ir noderīgi, ja dažu elementu klātbūtne traucē ierīces darbību. Piemēram - font-family,color,margin-left,margin-right

--font-size-mapping
    Kartēšana no CSS fonta nosaukumiem uz fonta izmēriem pts. Piemēra uzstādījums ir 10,12,14,16,18,20,22,24. Tie ir samēroti pēc izmēriem no xx-mazi uz xx-lieli, ar galīgiem milzīga izmēra fontiem. Fontu pārrēķināšanas algoritms izmanto šos izmērus inteliģenti pārrēķinot fontus. Pēc noklusējuma tiek izmantota samērošana, pamatojoties uz jūsu izvēlēto izejas profilu.

--insert-blank-line
    Ievietot tukšu rindu starp rindkopām. Nedarbosies, ja sākotnējā datnē netiek izmantotas rindkopas (<p> vai <div> birkas).

--insert-blank-line-size
    Nosakiet pievienoto tukšo rindu augstumu (em vienībās). Rindu augstums starp rindkopām būs divreiz lielāks par šeit norādīto lielumu.

--keep-ligatures
    Saglabāt ievades dokumentā esošās ligatūras. Ligatūra ir īpašs tādu burtu salikumu kā ff, fi, fl utt. renderējums. Vairums iekārtu neuztur ligatūras to iebūvētajos fontos un tādēļ tās var netikt atbilstoši attēlotas. Pēc noklusējuma, Calibre pārvērš ligatūras tām atbilstošos burtu pāros. Iespējojot šo iestatījumu, ligatūras tiks saglabātas.

--line-height
    Rindas augstums punktos. Nosaka attālumu starp teksta rindām. Attiecas tikai uz elementiem, kuri paši nenosaka rindas augstumu. Vairumā gadījumu lietderīgāk ir izmantot minimālo rindu augstumu. Pēc noklusējuma rindu augstums netiek mainīts.

--linearize-tables
    Dažos nemākulīgi veidotos dokumentos teksta izkārtošanai tiek izmantotas tabulas. Pēc šādu dokumentu pārvēršanas bieži vien ir novērojams, ka teksts turpinās pāri lapas malai un dažādas citādas problēmas. Ar šo iestatījumu teksts tiks izvilkts no tabulām un parādīts lineārā manierē.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    Minimālais rindas augstums procentos no elementa fonta lieluma. Calibre nodrošinās, ka visu elementu rindu augstumi būs vismaz šeit noteiktā lielumā neatkarīgi no iestatījumiem ievades dokumentā. Iestatiet 0, lai atslēgtu. Noklusētā vērtība ir 120%. Izmantojiet šo iestatījumu tieša rindas augstuma norādīšanas vietā, ja nav skaidrības par iespējamo rezultātu. Piemēram, "dubultu" rindu atstarpi var panākt norādot šeit 240.

--remove-paragraph-spacing
    Aizvāc atstarpes starp rindkopām, vienlaikus pievienojot pirmās rindas atkāpi 1,5em. Atstarpju aizvākšana nedarbosies, ja izejas datnē netiek izmantotas rindkopas (<p> vai <div> birkas).

--remove-paragraph-spacing-indent-size
    calibre aizvācot tukšās rindas starp rindkopām automātiski pievieno rindkopas pirmās rindas atkāpes, lai nodrošinātu rindkopu atpazīstamību. Šī papildiespēja nosaka atkāpes lielumu (em vienībās). Ja norādīsiet šo lielumu mazāku par 0, tiks izmantota izejas dokumentā norādītā atkāpe, kuru calibre nemainīs.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants

--subset-embedded-fonts
    Izveidot iegulto fontu apakškopas. Ikviens iegultais fonts tiks samazināts līdz dokumentā izmantoto zīmju kopai. Tas samazina fontu datņu izmēru. Ļoti noder, ja nepieciešams iegult īpaši lielu fontu ar lielu neizmantoto zīmju skaitu.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Pārvērst jocīgās pēdiņas, domuzīmes un daudzpunktus tiem atbilstošajās vienkāršajās zīmēs.

HEURISTISKĀ APSTRĀDE

Mainīt dokumenta tekstu un struktūru, izmantojot vispārējas pazīmes. Pēc noklusēšanas - atspējots. Iespējošanai lietojiet –enable-heuristics. Atsevišķas darbības var atspējot izmantojot –disable-* iestatījumus.

--disable-dehyphenate
    Analizēt vārdu pārnesumus dokumentā. Pats dokuments kalpos kā vārdnīca, lai noteiktu, kuras pārnesuma zīmes saglabājamas un kuras - nē.

--disable-delete-blank-paragraphs
    Aizvākt no dokumenta tukšās rindkopas, ja tās ir atrodamas starp rindkopām ar tekstu

--disable-fix-indents
    Pārveidot no vairākām tukšām vietām veidotas atkāpes par CSS atkāpēm.

--disable-format-scene-breaks
    Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

--disable-italicize-common-cases
    Meklēt kopīgos vārdus un pazīmes, kas apzīmē kursīvu, un veikt atbilstošu formatēšanu.

--disable-markup-chapter-headings
    Noteikt neformatētus nodaļu virsrakstus un apakšvirsrakstus, nomainīt tos ar h2 un h3 birkām. Šis iestatījums neizveidos satura rādītāju, taču ir izmantojams kopā ar struktūras noteicēju, lai tādu radītu.

--disable-renumber-headings
    Meklē secīgas <h1> vai <h2> birkas. Birkas tiek pārnumurētas, lai izvairītos no sadalīšanas nodaļu virsrakstu vidū.

--disable-unwrap-lines
    Izvērst rindas balstoties un interpunkciju un citām formatēšanas pazīmēm.

--enable-heuristics
    Iespējot heiristisko apstrādi. Šim iestatījuma jābūt iespējotam, lai būtu veicama jelkāda heiristiskā apstrāde.

--html-unwrap-factor
    Scale used to determine the length at which a line should be unwrapped. Valid values are a decimal between 0 and 1. The default is 0.4, just below the median line length. If only a few lines in the document require unwrapping this value should be reduced

--replace-scene-breaks
    Aizvietot ainu beigas ar norādīto tekstu. Pēc noklusējuma tiek izmantots teksts no sākotnējā dokumenta.

MEKLĒT UN AIZVIETOT

Izmaina dokumenta tekstu un struktūru, izmantojot lietotāja definētus šablonus.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Nomaiņai atrasto tekstu aizstāt ar pirmo meklēšanas izteiksmi.

--sr1-search
    Meklēšanas modeli (regulāra izteiksme) jāaizstāj ar pirmo maiņas tekstu.

--sr2-replace
    Nomaiņai atrasto tekstu aizstāt ar otro meklēšanas izteiksmi.

--sr2-search
    Meklēšanas modeli (regulāra izteiksme) jāaizstāj ar otro maiņas tekstu.

--sr3-replace
    Nomaiņai atrasto tekstu aizstāt ar trešo meklēšanas izteiksmi.

--sr3-search
    Meklēšanas modeli (regulāra izteiksme) jāaizstāj ar trešo maiņas tekstu.

STRUKTŪRAS NOTEIKŠANA

Pārvalda dokumenta struktūras automātisku noteikšanu.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Norādiet, kā izcelt noteiktās nodaļas. Vērtība "pagebreak" ievietos lappuses pārtraukumus pirms nodaļām. Vērtība "rule" ievietos tukšu rindu pirms nodaļām. Vērtība "none" atslēgs nodaļu izcelšanu, vērtība "both" nodaļu izcelšanai izmantos gan lappušu pārtraukumus, gan tukšas rindas.

--disable-remove-fake-margins
    Dažos dokumentos lapas malu informācija tiek pievienota katrai rindkopai. Calibre mēģinās sameklēt un aizvākt šādas lapu malas. Dažreiz var tikt aizvākta arī nepieciešamā malu informācija; šajā gadījumā aizvākšana ir jāatspējo.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    XPath izteiksme. Pirms norādītajiem elementiem tiek ievietoti lappušu pārtraukumi. Lai to atslēgtu, izmantojiet izteiksmi: /

--prefer-metadata-cover
    Dot priekšroku izejas datnē atrastam vākam pret norādīto.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

SATURA RĀDĪITĀJS

Vadīt satura rādītāja automātisku veidošanu. Pēc noklusēšanas, ja oriģinālā datne jau satur satura rādītāju, tam tiks dota priekšroka pret automātiski izveidoto.

--duplicate-links-in-toc
    Veidojot satura rādītāju no dokumentā esošajām saitēm atļaut atkārtojošos ierakstus, t.i. - ierakstus ar vienādiem nosaukumiem, ar nosacījumu, ka tie norāda uz dažādām vietām.

--level1-toc
    XPath izteiksme, kas nosaka visu birku pievienošanu satura rādītāja pirmajam līmenim. Jā tā ir norādīta, tai ir priekšroka pār visām citām automātiskās noteikšanas metodēm. Piemērus skat. calibre Lietotāja pamācības XPath sadaļā.

--level2-toc
    XPath izteiksme, kas nosaka visu birku pievienošanu satura rādītāja otrajam līmenim. Katrs ieraksts tiek pievienots zem iepriekšējā pirmā līmeņa ieraksta. Piemērus skat. calibre Lietotāja pamācības XPath sadaļā.

--level3-toc
    XPath izteiksme, kas nosaka visu birku pievienošanu satura rādītāja trešajam līmenim. Katrs ieraksts tiek pievienots zem iepriekšējā otrā līmeņa ieraksta. Piemērus skat. calibre Lietotāja pamācības XPath sadaļā.

--max-toc-links
    Maksimālais satura rādītājam pievienojamo saišu skaits. Norādiet 0, lai atspējotu. Noklusētais: 50. Saites satura rādītājam tiks pievienotas vienīgi tad, ja atrasto nodaļu skaits būs mazāks par norādīto robežu.

--no-chapters-in-toc
    Nepievienot automātiski atrastās nodaļas satura rādītājam.

--toc-filter
    Dzēst satura rādītāja ierakstus, kuru nosaukumi atbilst norādītajai regulārajai izteiksmei. Tiks dzēsti visi atbilstošie ieraksti un to bērni.

--toc-threshold
    Ja atrasto nodaļu skaits ir mazāks par norādīto, tad saites tiks pievienotas satura rādītājam. Noklusētais: 6

--use-auto-toc
    Parasti, ja sākotnējā dokumentā ir satura rādītājs, tam tiek dota priekšroka pret automātiski veidoto. Ar šo iestatījumu vienmēr tiks lietots automātiski veidotais.

METADATI

Uzstādījumi metadatu norādīšanai rezultātā

--author-sort
    Teksts, kuru izmanto kārtojot pēc autora.

--authors
    Ievadiet autorus. Vairākus autorus atdala ar ampersandiem (&).

--book-producer
    Ievadiet grāmatas ražotāju.

--comments
    Set the e-book description.

--cover
    Iestata vāku no norādītās datnes vai URL

--isbn
    Ievadiet grāmatas ISBN kodu.

--language
    Ievadiet valodu.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Ievadiet vērtējumu. Jābūt skaitlim no 1 līdz 5.

--read-metadata-from-opf, --from-opf, -m
    Lasīt metadatus no norādītās OPF datnes. No šīs datnes nolasītajiem metadatiem tiks dota priekšrokā pret izejas datnē esošajiem.

--series
    Set the series this e-book belongs to.

--series-index
    Ievadiet grāmatas numuru sērijā.

--tags
    Ievadiet grāmatas birkas kā ar komatiem atdalītu sarakstu.

--timestamp
    Uzstādīt grāmatas laika zīmogu (virs netiek lietots nekur)

--title
    Ievadiet nosaukumu.

--title-sort
    Kārtošanai izmantotais nosaukuma variants.

ATKĻŪDOŠANA

Iestatījumi, kas palīdz atkļūdot pārveidošanu

--debug-pipeline, -d
    Saglabāt pārvēršanas procesa starprezultātus norādītajā mapē. Noderīgi, ja nav skaidrs, kurā pārvēršanas stadijā rodas kļūda.

--verbose, -v
    Detalizācijas līmenis. Norādiet atkārtoti vairākkārt, lai to paaugstinātu. Atkārtojot to divreiz tiks iegūta pilna detalizācija, vienreiz - vidēja, ne reizi - viszemākā.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal